////////////////////////////
// PAlib project template //
////////////////////////////

// Lines starting with two slashes are ignored by the compiler
// Basically you can use them to comment what are you doing
// In fact, this kind of lines are called comments :P

// Include PAlib so that you can use it
#include <PA9.h>

int main(){
PA_Init(); 
PA_LoadDefaultText(1, 0);  // Initialize the text system
 
PA_InitKeyboard(2); // Load the keyboard on background 2...
 
PA_KeyboardIn(20, 100); // This scrolls the keyboard from the bottom, until it's at the right position
 
PA_OutputSimpleText(1, 3, 10, "Please input your name : "); 
 
s32 nletter = 0; // Next letter to right. 0 since no letters are there yet
char letter = 0; // New letter to write.
char text[200];  // This will be our text.
 
// Infinite loop to keep the program running
while (1)
{
	
	if (Pad.Newpress.A) {PA_OutputSimpleText(1, 8, 14, "                        ");PA_OutputSimpleText(1, 8, 14, "Button A pressed");}
	if (Pad.Newpress.B) {PA_OutputSimpleText(1, 8, 14, "                        ");PA_OutputSimpleText(1, 8, 14, "Button B pressed");}
	if (Pad.Newpress.X) {PA_OutputSimpleText(1, 8, 14, "                        ");PA_OutputSimpleText(1, 8, 14, "Button X pressed");}
	if (Pad.Newpress.Y) {PA_OutputSimpleText(1, 8, 14, "                        ");PA_OutputSimpleText(1, 8, 14, "Button Y pressed");}
 
	letter = PA_CheckKeyboard();
 
	if (letter > 31) { // there is a new letter
		text[nletter] = letter;
		nletter++;
	}
	else if ((letter == PA_BACKSPACE)&&nletter) { // Backspace pressed
		nletter--;
		text[nletter] = ' '; // Erase the last letter
	}
	else if (letter == '\n'){ // Enter pressed
		text[nletter] = letter;
		nletter++;
	}
 
	PA_OutputSimpleText(1, 8, 12, text); // Write the text
	PA_WaitForVBL();
}
}
